Bug 43719 - ifup-ppp won't start connections with special characters in the account name
Summary: ifup-ppp won't start connections with special characters in the account name
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-06 20:45 UTC by Mike Fleetwood
Modified: 2014-03-17 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 20:56:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifup-ppp-account-name.patch (Proposed 1 line fix for the problem) (520 bytes, patch)
2001-06-06 20:51 UTC, Mike Fleetwood
no flags Details | Diff
messages-fails (Log of misleading failure from pppd) (859 bytes, text/plain)
2001-06-06 20:53 UTC, Mike Fleetwood
no flags Details
messages-works (Log of a successful connection) (3.95 KB, text/plain)
2001-06-06 20:56 UTC, Mike Fleetwood
no flags Details

Description Mike Fleetwood 2001-06-06 20:45:24 UTC
Description of Problem:

-----------------------

ifup-ppp won't start PPP connections configured through rp3 if the account name contains shell special characters.  This is dispite the fact that rp3-config lets you create such account names and under debug connects successfully.

(rp3-config probably runs wvdial directly via fork()/exec() when [Debug] is used so there is no problem with any characters used in the Account Name.  When rp3 runs pppd executes the connect parameter read from /etc/ppp/peers/ppp<n> via the shell, performing shell expansion.)



How Reproducible:

-----------------

Every time.



Steps to Reproduce:

-------------------

1. Use rp3-config to create a new account called 'Demon(Surftime)'.

2. Use rp3 to activate the connection.  It fails.



Actual Results:

---------------

PPP connection not established.

Also see attached /var/log/messages (messages-fails) fragment.



Expected Results:

-----------------

PPP connection established.

Also see attached /var/log/messages (messages-works) fragment.



Additional Information:

-----------------------

To see the errors which pppd receives but fails to report first cat the contents of /etc/ppp/peers/ppp<n> and then the following 2 commands:

/usr/bin/wvdial --remotename ppp0 --chat Demon(Surftime)

/usr/bin/wvdial --remotename ppp0 --chat 'Demon(Surftime)'



Solution:

---------

1. Delete the /etc/ppp/peers/ppp<n> file so that ifup-ppp will recreate it.

2. Apply the attached 1 line patch (ifup-ppp-account-name.patch) to /etc/sysconfig/network-scripts/ifup-ppp.

3. Use rp3 to activate the connection.  It works as expected.

Comment 1 Mike Fleetwood 2001-06-06 20:51:13 UTC
Created attachment 20492 [details]
ifup-ppp-account-name.patch (Proposed 1 line fix for the problem)

Comment 2 Mike Fleetwood 2001-06-06 20:53:46 UTC
Created attachment 20493 [details]
messages-fails (Log of misleading failure from pppd)

Comment 3 Mike Fleetwood 2001-06-06 20:56:34 UTC
Created attachment 20494 [details]
messages-works (Log of a successful connection)

Comment 4 Bill Nottingham 2001-08-09 05:18:15 UTC
Will be fixed in 6.13-1; thanks!


Note You need to log in before you can comment on or make changes to this bug.